/**
 *
 *  This file is part of iliad-regutils.
 *
 *  Copyright (C) 2008 Martijn van der Horst <M.G.v.d.Horst@gmail.com>
 * 
 *  iliad-regutils is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * This file is used to bundles the utilities that are part of iliad-regutils
 */

#ifndef REGUTIL_UTILITIES_H
#define REGUTIL_UTILITIES_H

#include "regutil.h"
#include <argp.h>

// Returns a number identifying the utility by name
int identify_utility(char *name);

// Returns a command line parser for the utility
struct argp *get_parser(int id);

// Respectively returns a argument structure for the parsing procedure and frees it.
global_arguments *get_argument_structure(int id);
void free_argument_structure(global_arguments *args);

// Call the main function of the utility
utility_main get_utility_main(int id);

#endif /*REGUTIL_UTILITIES_H*/
